.rggallery {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.rggallery-row {
    display: grid;
    gap: 1rem;
}

/* Full-width images */
.rggallery-row.full {
    grid-template-columns: 1fr;
}

/* Portrait groups */
.rggallery-row.portraits {
    grid-template-columns: repeat(2, 1fr);
}

/* If 3 portraits */
.rggallery-row.portraits:has(img:nth-child(3)) {
    grid-template-columns: repeat(3, 1fr);
}

/* Images */
.rggallery img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}